Subject: Re: linux-next: build failure after merge of the net tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 15 Jun 2011 08:56:17 +1000

Hi Dave,

On Thu, 9 Jun 2011 14:56:57 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the net tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> [See summary in patch below.]
> 
> [Hmmm, suddenly allmodconfig is building stuff in staging?  Ah ha!
> Commit fe35a59e16fb ("Staging: remove STAGING_EXCLUDE_BUILD
> option")  Greg, a bit of warning might have been nice :-( ]
> 
> I assume that this is fallout from commit a6b7a407865a ("net: remove
> interrupt.h inclusion from netdevice.h").
> 
> I added the following patch for today:
> 
> From 520e46c255afa851b33e5c4a2bcf2112ecccbb6f Mon Sep 17 00:00:00 2001
> From: Stephen Rothwell <[email-masked]>
> Date: Thu, 9 Jun 2011 14:19:09 +1000
> Subject: [PATCH] net/staging: add needed interrupt.h and hardirq.h includes

I am still getting these build errors and applying the patch.  I would
assume that if you merge Linus' tree (-rc3 will do it) into net-next, you
will get these failures as well (for an x86_64 allmodconfig build at
least).

I think that this patch would probably apply to just the net-next tree
anyway.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/